# $Revision: 1.14 $, $Date: 2005/12/22 00:22:28 $
%define		mod_name	fcgid
%define 	apxs		/usr/sbin/apxs
Summary:	A binary compatibility alternative to Apache module mod_fastcgi
Summary(pl):	Binarnie kompatybilna alternatywa dla moduu Apache'a mod_fastcgi
Name:		apache-mod_%{mod_name}
Version:	1.03
Release:	3
License:	GPL v2
Group:		Networking/Daemons
Source0:	http://fastcgi.coremail.cn/mod_%{mod_name}.%{version}.tar.gz
# Source0-md5:	dbcd5c96f8d6c6fcb7471abf527d176f
Source1:	%{name}.conf
Patch0:		%{name}-apr-status-is-success.patch
Patch1:		%{name}-apache.patch
URL:		http://fastcgi.coremail.cn/
BuildRequires:	%{apxs}
BuildRequires:	apache-devel >= 2.0.52-2
BuildRequires:	libtool
BuildRequires:	sed >= 4.0
Requires:	apache(modules-api) = %apache_modules_api
Requires:	apache >= 2.0.52-2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_pkglibdir	%(%{apxs} -q LIBEXECDIR 2>/dev/null)
%define		_sysconfdir	%(%{apxs} -q SYSCONFDIR 2>/dev/null)

%description
A binary compatibility alternative to Apache module mod_fastcgi.
mod_fcgid has a new process management strategy, which concentrates on
reducing the number of fastcgi server, and kick out the corrupt
fastcgi server as soon as possible.

%description -l pl
Binarnie kompatybilna alternatywa dla moduu Apache'a mod_fastcgi.
mod_fcgid to nowa strategia zarzdzania procesami, koncentrujca si
na redukcji liczby serwerw fastcgi i usuwaniu uszkodzonych serwerw
fastcgi najszybciej jak to moliwe.

%prep
%setup -q -n mod_%{mod_name}.%{version}
%patch0 -p1
%patch1 -p1

%build
%{__make} \
	top_dir=%{_pkglibdir} \
	APXS=%{apxs} \
	INCLUDES="-I%(%{apxs} -q INCLUDEDIR)"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_pkglibdir},%{_sysconfdir}/httpd.conf}

install .libs/mod_%{mod_name}.so $RPM_BUILD_ROOT%{_pkglibdir}
install %{SOURCE1} $RPM_BUILD_ROOT/%{_sysconfdir}/httpd.conf/70_mod_%{mod_name}.conf

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -f /var/lock/subsys/httpd ]; then
	/etc/rc.d/init.d/httpd restart 1>&2
fi

%preun
if [ "$1" = "0" ]; then
	if [ -f /var/lock/subsys/httpd ]; then
		/etc/rc.d/init.d/httpd restart 1>&2
	fi
fi

%files
%defattr(644,root,root,755)
%doc AUTHOR ChangeLog
%config(noreplace) /etc/httpd/httpd.conf/70_mod_fcgid.conf
%attr(755,root,root) %{_pkglibdir}/*.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: apache-mod_fcgid.spec,v $
Revision 1.14  2005/12/22 00:22:28  glen
- fix build for apache 2.2

Revision 1.13  2005/12/21 23:39:06  glen
- rebuild with new apache
- fix %post script
- rel 2

Revision 1.12  2004/11/16 21:58:22  qboosh
- with patch it needs apr1-based apache

Revision 1.11  2004/11/10 23:44:55  aredridel
- up to 1.03
- patched to work with modern apr

Revision 1.10  2004/11/04 20:22:40  paladine
- spaces->tabs

Revision 1.9  2004/10/29 09:01:59  paladine
- "HTTP" unification

Revision 1.8  2004/10/10 12:05:10  havner
- rel up for rebuild with new apache/apr

Revision 1.7  2004/09/25 09:02:26  radek
- cp SOURCES/{70_,apache-}mod_fcgid.conf,v

Revision 1.6  2004/09/21 13:49:04  radek
- version 1.01, License: GPL v2

Revision 1.5  2004/09/20 10:34:05  radek
- version 1.00, unifications
- dropped apache1 bcond (-> apache1-*.spec is the right way)
- NOTE: doesn't build; this version uses apr's private headers;
        conference with author in progress

Revision 1.4  2004/06/26 23:19:15  aredridel
- up to 0.74
- fixes padding nul bug.

Revision 1.3  2004/05/27 17:16:56  aredridel
- change config file

Revision 1.2  2004/05/23 15:10:10  qboosh
- pl

Revision 1.1  2004/05/23 14:34:34  arekm
- initial pld release
